image: maven

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - cd psychologyclinicpatients
    - mvn clean package

discoveryserver:
  stage: test
  script:
    - cd discoveryserver
    - mvn test

configserver:
  stage: test
  script:
    - cd configserver
    - mvn test

test:
  stage: test
  script:
    - cd psychologyclinicpatients
    - mvn test

deploy:
  stage: deploy
  script:
    - mvn package
